GET books

gutendex.com:gutendex-api

Summary: List and search books
Operation ID: listBooks
Auth: none
Description

Returns a paginated list of books from Project Gutenberg. Supports filtering by author, language, topic, copyright status, and more. Also supports full-text search across titles and author names.

Parameters (10)

author_year_end (integer, query, optional)

Find books with at least one author alive up to this year. Use negative integers for BCE years.

author_year_start (integer, query, optional)

Find books with at least one author alive starting from this year. Use negative integers for BCE years (e.g., -499 for 499 BCE).

copyright (string, query, optional)

Filter by copyright status. true = copyrighted, false = public domain, null = unknown. Supports comma-separated combinations.

Constraints: {'enum': ['true', 'false', 'null']}

ids (string, query, optional)

Comma-separated list of Project Gutenberg book IDs to retrieve specific books.

languages (string, query, optional)

Comma-separated list of two-character language codes (e.g., 'en' for English, 'fr' for French).

mime_type (string, query, optional)

Filter by MIME type. Returns books with formats starting with this value (e.g., 'text/html').

page (integer, query, optional, default: 1)

Page number for pagination.

Constraints: {'minimum': 1}

search (string, query, optional)

Search across author names and book titles. Space-separated words, case-insensitive.

sort (string, query, optional, default: popular)

Sort order for results.

Constraints: {'enum': ['ascending', 'descending', 'popular']}

topic (string, query, optional)

Search for a key-phrase in books' bookshelves or subjects (case-insensitive).

Examples (6)

TitleTypeURLAction
Search for Shakespeare works curl https://gutendex.com/books?search=Shakespeare&sort=popular
Public domain English books about science curl https://gutendex.com/books?languages=en&topic=science&copyright=false
Books by authors alive in the 19th century curl https://gutendex.com/books?author_year_start=1800&author_year_end=1900&page=1
List books openapi-spec https://gutendex.com/books?copyright=true,false&ids=84,1342,2701&languages=en,fr,de&mime_type=text/html&search=pride prejudice&topic=science fiction
List and search books openapi-spec https://gutendex.com/books?search=Frankenstein&author_year_start=1800&author_year_end=1900&languages=en,fr&ids=84,85&mime_type=text/html&topic=Science fiction
List and search books openapi-spec https://gutendex.com/books?ids=11,12,13&languages=en,fr&mime_type=text/html&search=dickens great&topic=children

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-03-23 09:18:44.081080 200 182ms
2026-03-23 09:17:42.767153 200 176ms
2026-03-23 09:11:50.189008 200 1426ms
2026-03-23 09:09:06.280456 200 8722ms
2026-03-23 09:01:36.102822 200 717ms
2026-03-23 09:00:26.865601 200 6105ms

Response Changes

WhenOldNew
2026-03-23 09:01:36.102822 44c430ef0552 5ea5f08c1157
2026-03-23 09:09:06.280456 5ea5f08c1157 5dd8165a3a37
2026-03-23 09:11:50.189008 5dd8165a3a37 c6a415f1da4e
2026-03-23 09:17:42.767153 c6a415f1da4e 0595424161ea